org.apache.cassandra.exceptions

## Class WriteTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestExecutionException
          - - org.apache.cassandra.exceptions.RequestTimeoutException
            - - org.apache.cassandra.exceptions.WriteTimeoutException

All Implemented Interfaces:
  java.io.Serializable, TransportException

    public class WriteTimeoutException
    extends RequestTimeoutException

See Also:
  Serialized Form

### Field Summary

Fields
`WriteType` `writeType`

### Fields inherited from class org.apache.cassandra.exceptions.RequestTimeoutException

`blockFor, consistency, received`

### Constructor Summary

Constructors
Constructor and Description
`WriteTimeoutException(WriteType writeType, ConsistencyLevel consistency, int received, int blockFor)`

### Method Summary

### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

`code`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

`getMessage`

### Field Detail

#### writeType

    public final WriteType writeType

### Constructor Detail

#### WriteTimeoutException

    public WriteTimeoutException(WriteType writeType,
                                 ConsistencyLevel consistency,
                                 int received,
                                 int blockFor)